Package picard.sam

# Class FlowBasedDuplicationMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.MergeableMetricBase
picard.sam.DuplicationMetrics
picard.sam.FlowBasedDuplicationMetrics

public class FlowBasedDuplicationMetrics extends DuplicationMetrics

## Nested Class Summary

## Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

`MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`Double`
`UNPAIRED_DUP_RATE_WITH_TLEN`
The fraction of duplicated reads out of all reads with exact fragment length known
`Double`
`UNPAIRED_DUP_RATE_WITHOUT_TLEN`
The fraction of duplicated reads out of all reads with exact fragment length unknown
`long`
`UNPAIRED_DUPS_WITH_TLEN`
`long`
`UNPAIRED_DUPS_WITHOUT_TLEN`
`long`
`UNPAIRED_WITH_TLEN`

### Fields inherited from class picard.sam.DuplicationMetrics

`ESTIMATED_LIBRARY_SIZE, LIBRARY, PERCENT_DUPLICATION, READ_PAIR_DUPLICATES, READ_PAIR_OPTICAL_DUPLICATES, READ_PAIRS_EXAMINED, SECONDARY_OR_SUPPLEMENTARY_RDS, UNMAPPED_READS, UNPAIRED_READ_DUPLICATES, UNPAIRED_READS_EXAMINED`

## Constructor Summary

Constructors
Constructor
Description
`FlowBasedDuplicationMetrics()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDuplicateReadToMetrics(htsjdk.samtools.SAMRecord rec)`
Adds duplicated read to the metrics
`void`
`addReadToLibraryMetrics(htsjdk.samtools.SAMRecord rec)`
Adds a read to the metrics
`void`
`calculateDerivedFields()`
Fills in the ESTIMATED_LIBRARY_SIZE based on the paired read data examined where possible and the PERCENT_DUPLICATION.

### Methods inherited from class picard.sam.DuplicationMetrics

`calculateDerivedMetrics, calculateRoiHistogram, estimateLibrarySize, estimateRoi, main`

### Methods inherited from class picard.analysis.MergeableMetricBase

`canMerge, merge, merge, mergeIfCan`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### UNPAIRED_WITH_TLEN

public long UNPAIRED_WITH_TLEN

### UNPAIRED_DUPS_WITHOUT_TLEN

public long UNPAIRED_DUPS_WITHOUT_TLEN

### UNPAIRED_DUPS_WITH_TLEN

public long UNPAIRED_DUPS_WITH_TLEN

### UNPAIRED_DUP_RATE_WITHOUT_TLEN

public Double UNPAIRED_DUP_RATE_WITHOUT_TLEN
The fraction of duplicated reads out of all reads with exact fragment length unknown

### UNPAIRED_DUP_RATE_WITH_TLEN

public Double UNPAIRED_DUP_RATE_WITH_TLEN
The fraction of duplicated reads out of all reads with exact fragment length known

## Constructor Details

### FlowBasedDuplicationMetrics

public FlowBasedDuplicationMetrics()

## Method Details

### calculateDerivedFields

public void calculateDerivedFields()
Description copied from class: `DuplicationMetrics`
Fills in the ESTIMATED_LIBRARY_SIZE based on the paired read data examined where possible and the PERCENT_DUPLICATION.

Overrides:
  `calculateDerivedFields` in class `DuplicationMetrics`

### addDuplicateReadToMetrics

public void addDuplicateReadToMetrics(htsjdk.samtools.SAMRecord rec)
Description copied from class: `DuplicationMetrics`
Adds duplicated read to the metrics

Overrides:
  `addDuplicateReadToMetrics` in class `DuplicationMetrics`

### addReadToLibraryMetrics

public void addReadToLibraryMetrics(htsjdk.samtools.SAMRecord rec)
Description copied from class: `DuplicationMetrics`
Adds a read to the metrics

Overrides:
  `addReadToLibraryMetrics` in class `DuplicationMetrics`